<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateCollectSearchsTables extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('collect_searchs', function (Blueprint $table) {
            $table->increments('id');
            $table->string('keyword');
            $table->text('content')->nullable();
            $table->string('token');
            $table->tinyInteger('flag')->default(0);
            $table->tinyInteger('type')->default(1);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::drop('collect_searchs');
    }
}
